<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

// BEGIN ENQUEUE PARENT ACTION
// AUTO GENERATED - Do not modify or remove comment markers above or below:

if ( !function_exists( 'chld_thm_cfg_locale_css' ) ):
    function chld_thm_cfg_locale_css( $uri ){
        if ( empty( $uri ) && is_rtl() && file_exists( get_template_directory() . '/rtl.css' ) )
            $uri = get_template_directory_uri() . '/rtl.css';
        return $uri;
    }
endif;
add_filter( 'locale_stylesheet_uri', 'chld_thm_cfg_locale_css' );
         
if ( !function_exists( 'child_theme_configurator_css' ) ):
    function child_theme_configurator_css() {
        wp_enqueue_style( 'chld_thm_cfg_child', trailingslashit( get_stylesheet_directory_uri() ) . 'style.css', array( 'astra-theme-css' ) );
    }
endif;
add_action( 'wp_enqueue_scripts', 'child_theme_configurator_css', 10 );

//Disable automatic WordPress theme updates
add_filter( 'auto_update_theme', '__return_false' );
add_filter('site_transient_update_plugins', '__return_false');



/// User Role capabilities functions
 add_action('admin_init','create_citizens_post_add_role_caps',999);
    function create_citizens_post_add_role_caps() {

        // Add the roles you'd like to administer the custom post types
        $roles = 'editor' ;

        // Loop through each role and assign capabilities
        // foreach($roles as $the_role) {    
             // $role = get_role($the_role);               
             $role = get_role($roles);               
             $role->add_cap( 'read' );
             $role->add_cap( 'read_blog');
             $role->add_cap( 'edit_blog' );
             $role->add_cap( 'edit_blogs' );
             $role->add_cap( 'edit_published_blogs' );
             $role->add_cap( 'publish_blogs' );
             $role->add_cap( 'delete_published_blogs' );
        // }
        }

// auto update functions off

add_filter( 'automatic_updater_disabled', '__return_true' );
add_filter( 'auto_update_core', '__return_true' );
add_filter( 'auto_update_plugin', '__return_true' );
add_filter( 'auto_update_theme', '__return_true' );


// our cpt functions.


function create_citizens_post() {
    $args = array(
        'labels' => array(
            'name' => __('নাগরিক সনদ', ''),
            'singular_name' => __('নাগরিক', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New নাগরিক Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit নাগরিক Item', ''),
            'new_item' => __('New নাগরিক', ''),
            'view' => __('View', ''),
            'view_item' => __('View নাগরিক', ''),
            'search_items' => __('Search নাগরিক', ''),
            'not_found' => __('No নাগরিক item found', ''),
            'not_found_in_trash' => __('No নাগরিক item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'citizens', 'with_front' => false),
    );

    register_post_type( 'citizens' , $args );
    
    
   
    
// Holding Tax

 $args = array(
        'labels' => array(
            'name' => __('হোল্ডিং ট্যাক্স ', ''),
            'singular_name' => __('হোল্ডিং ট্যাক্স', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New হোল্ডিং ট্যাক্স Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit হোল্ডিং ট্যাক্স Item', ''),
            'new_item' => __('New হোল্ডিং ট্যাক্স', ''),
            'view' => __('View', ''),
            'view_item' => __('View হোল্ডিং ট্যাক্স', ''),
            'search_items' => __('Search হোল্ডিং ট্যাক্স', ''),
            'not_found' => __('No হোল্ডিং ট্যাক্স item found', ''),
            'not_found_in_trash' => __('No হোল্ডিং ট্যাক্স item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'householdtax', 'with_front' => false),
    );

    register_post_type( 'householdtax' , $args );

// New Treade Licence

  $args = array(
        'labels' => array(
            'name' => __('নতুন ট্রেড লাইসেন্স', ''),
            'singular_name' => __('নতুন ট্রেড লাইসেন্স', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New নতুন ট্রেড লাইসেন্স Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit নতুন ট্রেড লাইসেন্স Item', ''),
            'new_item' => __('New নতুন ট্রেড লাইসেন্স', ''),
            'view' => __('View', ''),
            'view_item' => __('View নতুন ট্রেড লাইসেন্স', ''),
            'search_items' => __('Search নতুন ট্রেড লাইসেন্স', ''),
            'not_found' => __('No নতুন ট্রেড লাইসেন্স item found', ''),
            'not_found_in_trash' => __('No নতুন ট্রেড লাইসেন্স item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'newtreadelicence', 'with_front' => false),
    );

    register_post_type( 'newtreadelicence' , $args );
    
    
// Treade Licence

  $args = array(
        'labels' => array(
            'name' => __('ট্রেড লাইসেন্স', ''),
            'singular_name' => __('ট্রেড লাইসেন্স', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New ট্রেড লাইসেন্স Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit ট্রেড লাইসেন্স Item', ''),
            'new_item' => __('New ট্রেড লাইসেন্স', ''),
            'view' => __('View', ''),
            'view_item' => __('View ট্রেড লাইসেন্স', ''),
            'search_items' => __('Search ট্রেড লাইসেন্স', ''),
            'not_found' => __('No ট্রেড লাইসেন্স item found', ''),
            'not_found_in_trash' => __('No ট্রেড লাইসেন্স item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'treadelicence', 'with_front' => false),
    );

    register_post_type( 'treadelicence' , $args );

// Oresh Chertidicate
 $args = array(
        'labels' => array(
            'name' => __('ওয়ারিশান সনদ পত্র', ''),
            'singular_name' => __('ওয়ারিশান সনদ পত্র', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New ওয়ারিশান সনদ পত্র Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit ওয়ারিশান সনদ পত্র Item', ''),
            'new_item' => __('New ওয়ারিশান সনদ পত্র', ''),
            'view' => __('View', ''),
            'view_item' => __('View ওয়ারিশান সনদ পত্র', ''),
            'search_items' => __('Search ওয়ারিশান সনদ পত্র', ''),
            'not_found' => __('No ওয়ারিশান সনদ পত্র item found', ''),
            'not_found_in_trash' => __('No ওয়ারিশান সনদ পত্র item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'oreshcertificate', 'with_front' => false),
    );

    register_post_type( 'oreshcertificate' , $args );
    
 //prottion pottro

$args = array(
        'labels' => array(
            'name' => __('প্রত্যয়ন পত্র', ''),
            'singular_name' => __('প্রত্যয়ন পত্র', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New প্রত্যয়ন পত্র Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit প্রত্যয়ন পত্র Item', ''),
            'new_item' => __('New প্রত্যয়ন পত্র', ''),
            'view' => __('View', ''),
            'view_item' => __('View প্রত্যয়ন পত্র', ''),
            'search_items' => __('Search প্রত্যয়ন পত্র', ''),
            'not_found' => __('No প্রত্যয়ন পত্র item found', ''),
            'not_found_in_trash' => __('No প্রত্যয়ন পত্র item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'citizenpros', 'with_front' => false),
    );

    register_post_type( 'citizenpros' , $args );

 // same name prottion pottro

$args = array(
        'labels' => array(
            'name' => __('একই নামের প্রত্যয়ন', ''),
            'singular_name' => __('একই নামের প্রত্যয়ন', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New একই নামের প্রত্যয়ন Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit প্একই নামের প্রত্যয়ন Item', ''),
            'new_item' => __('New একই নামের প্রত্যয়ন', ''),
            'view' => __('View', ''),
            'view_item' => __('View পএকই নামের প্রত্যয়ন', ''),
            'search_items' => __('Search পএকই নামের প্রত্যয়ন', ''),
            'not_found' => __('No একই নামের প্রত্যয়ন item found', ''),
            'not_found_in_trash' => __('No প্রত্যয়ন পত্র item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'samename', 'with_front' => false),
    );

    register_post_type( 'samename' , $args );




// prothin than
 $args = array(
        'labels' => array(
            'name' => __('প্রতিষ্ঠানের অবস্থান ', ''),
            'singular_name' => __('প্রতিষ্ঠানের অবস্থান ', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New প্রতিষ্ঠানের অবস্থান  Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit প্রতিষ্ঠানের অবস্থান  Item', ''),
            'new_item' => __('New প্রতিষ্ঠানের অবস্থান ', ''),
            'view' => __('View', ''),
            'view_item' => __('View প্রতিষ্ঠানের অবস্থান ', ''),
            'search_items' => __('Search প্রতিষ্ঠানের অবস্থান ', ''),
            'not_found' => __('No প্রতিষ্ঠানের অবস্থান  item found', ''),
            'not_found_in_trash' => __('No প্রতিষ্ঠানের অবস্থান  item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'offlaoction', 'with_front' => false),
    );

    register_post_type( 'offlaoction' , $args );
    
    
 // New Votter

 $args = array(
        'labels' => array(
            'name' => __('ভোটার অন্তর্ভুক্ত ', ''),
            'singular_name' => __('ভোটার অন্তর্ভুক্ত ', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New ভোটার অন্তর্ভুক্ত  Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit ভোটার অন্তর্ভুক্ত  Item', ''),
            'new_item' => __('New ভোটার অন্তর্ভুক্ত ', ''),
            'view' => __('View', ''),
            'view_item' => __('View ভোটার অন্তর্ভুক্ত ', ''),
            'search_items' => __('Search ভোটার অন্তর্ভুক্ত ', ''),
            'not_found' => __('No ভোটার অন্তর্ভুক্ত  item found', ''),
            'not_found_in_trash' => __('No ভোটার অন্তর্ভুক্ত  item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'newvoters', 'with_front' => false),
    );

    register_post_type( 'newvoters' , $args );
    
    
//locations transfer
 $args = array(
        'labels' => array(
            'name' => __('ভোটার স্থানান্তর ', ''),
            'singular_name' => __('ভোটার স্থানান্তর ', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New ভোটার স্থানান্তর  Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit ভোটার স্থানান্তর Item', ''),
            'new_item' => __('New ভোটার স্থানান্তর', ''),
            'view' => __('View', ''),
            'view_item' => __('View ভোটার স্থানান্তর ', ''),
            'search_items' => __('Search ভোটার স্থানান্তর ', ''),
            'not_found' => __('No ভোটার স্থানান্তর  item found', ''),
            'not_found_in_trash' => __('No ভোটার স্থানান্তর  item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'vottertransfer', 'with_front' => false),
    );

    register_post_type( 'vottertransfer' , $args );
    


    
   // citizens monthly income
   
    $args = array(
        'labels' => array(
            'name' => __('মাসিক/বার্ষিক আয়ের প্রত্যয়ন ', ''),
            'singular_name' => __('মাসিক/বার্ষিক আয়ের প্রত্যয়ন ', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New মাসিক/বার্ষিক আয়ের প্রত্যয়ন  Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit মাসিক/বার্ষিক আয়ের প্রত্যয়ন  Item', ''),
            'new_item' => __('New মাসিক/বার্ষিক আয়ের প্রত্যয়ন ', ''),
            'view' => __('View', ''),
            'view_item' => __('View মাসিক/বার্ষিক আয়ের প্রত্যয়ন ', ''),
            'search_items' => __('Search মাসিক/বার্ষিক আয়ের প্রত্যয়ন ', ''),
            'not_found' => __('No মাসিক/বার্ষিক আয়ের প্রত্যয়ন  item found', ''),
            'not_found_in_trash' => __('No মাসিক/বার্ষিক আয়ের প্রত্যয়ন  item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'ctzincomes', 'with_front' => false),
    );

    register_post_type( 'ctzincomes' , $args );
    
    
 // Certificate of Minority Ethnicity
 
  $args = array(
        'labels' => array(
            'name' => __('ক্ষুদ্র-নৃ-গোষ্ঠীর প্রত্যয়ন পত্র ', ''),
            'singular_name' => __('ক্ষুদ্র-নৃ-গোষ্ঠীর প্রত্যয়ন পত্র ', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New ক্ষুদ্র-নৃ-গোষ্ঠীর প্রত্যয়ন পত্র  Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit ক্ষুদ্র-নৃ-গোষ্ঠীর প্রত্যয়ন পত্র  Item', ''),
            'new_item' => __('New ক্ষুদ্র-নৃ-গোষ্ঠীর প্রত্যয়ন পত্র ', ''),
            'view' => __('View', ''),
            'view_item' => __('View ক্ষুদ্র-নৃ-গোষ্ঠীর প্রত্যয়ন পত্র ', ''),
            'search_items' => __('Search ক্ষুদ্র-নৃ-গোষ্ঠীর প্রত্যয়ন পত্র ', ''),
            'not_found' => __('No ক্ষুদ্র-নৃ-গোষ্ঠীর প্রত্যয়ন পত্র  item found', ''),
            'not_found_in_trash' => __('No ক্ষুদ্র-নৃ-গোষ্ঠীর প্রত্যয়ন পত্র  item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'ctzethnicity', 'with_front' => false),
    );

    register_post_type( 'ctzethnicity' , $args );
    
    
  $args = array(
        'labels' => array(
            'name' => __('ভুমিহীন সনদ পত্র ', ''),
            'singular_name' => __('ভুমিহীন সনদ পত্র ', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New ভুমিহীন সনদ পত্র  Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit ভুমিহীন সনদ পত্র  Item', ''),
            'new_item' => __('New ভুমিহীন সনদ পত্র ', ''),
            'view' => __('View', ''),
            'view_item' => __('View ভুমিহীন সনদ পত্র ', ''),
            'search_items' => __('Search ভুমিহীন সনদ পত্র ', ''),
            'not_found' => __('No ভুমিহীন সনদ পত্র  item found', ''),
            'not_found_in_trash' => __('No ভুমিহীন সনদ পত্র  item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'tclandless', 'with_front' => false),
    );

    register_post_type( 'tclandless' , $args );   
    
    
 //character ttc
 
  $args = array(
        'labels' => array(
            'name' => __('চারিত্রিক সনদ পত্র ', ''),
            'singular_name' => __('চারিত্রিক সনদ পত্র ', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New চারিত্রিক সনদ পত্র  Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit চারিত্রিক সনদ পত্র  Item', ''),
            'new_item' => __('New চারিত্রিক সনদ পত্র ', ''),
            'view' => __('View', ''),
            'view_item' => __('View চারিত্রিক সনদ পত্র ', ''),
            'search_items' => __('Search চারিত্রিক সনদ পত্র ', ''),
            'not_found' => __('No চারিত্রিক সনদ পত্র  item found', ''),
            'not_found_in_trash' => __('No চারিত্রিক সনদ পত্র  item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'characterttc', 'with_front' => false),
    );

    register_post_type( 'characterttc' , $args );
    
    
    $args = array(
        'labels' => array(
            'name' => __('বৈবাহিক সনদ পত্র ', ''),
            'singular_name' => __('বৈবাহিক সনদ পত্র ', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New বৈবাহিক সনদ পত্র  Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit বৈবাহিক সনদ পত্র  Item', ''),
            'new_item' => __('New বৈবাহিক সনদ পত্র ', ''),
            'view' => __('View', ''),
            'view_item' => __('View বৈবাহিক সনদ পত্র ', ''),
            'search_items' => __('Search বৈবাহিক সনদ পত্র ', ''),
            'not_found' => __('No বৈবাহিক সনদ পত্র  item found', ''),
            'not_found_in_trash' => __('No বৈবাহিক সনদ পত্র  item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'marragetc', 'with_front' => false),
    );

    register_post_type( 'marragetc' , $args ); 
    
    
// Parental Permit Tc

 $args = array(
        'labels' => array(
            'name' => __('অভিভাবকের অনুমতি পত্র ', ''),
            'singular_name' => __('অভিভাবকের অনুমতি পত্র ', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New অভিভাবকের অনুমতি পত্র  Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit অভিভাবকের অনুমতি পত্র  Item', ''),
            'new_item' => __('New অভিভাবকের অনুমতি পত্র ', ''),
            'view' => __('View', ''),
            'view_item' => __('View অভিভাবকের অনুমতি পত্র ', ''),
            'search_items' => __('Search অভিভাবকের অনুমতি পত্র ', ''),
            'not_found' => __('No অভিভাবকের অনুমতি পত্র  item found', ''),
            'not_found_in_trash' => __('No অভিভাবকের অনুমতি পত্র  item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'parentalpermittc', 'with_front' => false),
    );

    register_post_type( 'parentalpermittc' , $args );
    
    // my service
     $args = array(
        'labels' => array(
            'name' => __('বিবিধ সনদপত্র ', ''),
            'singular_name' => __('বিবিধ সনদপত্র ', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New বিবিধ সনদপত্র  Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit বিবিধ সনদপত্র  Item', ''),
            'new_item' => __('New বিবিধ সনদপত্র ', ''),
            'view' => __('View', ''),
            'view_item' => __('View বিবিধ সনদপত্র ', ''),
            'search_items' => __('Search বিবিধ সনদপত্র ', ''),
            'not_found' => __('No বিবিধ সনদপত্র  item found', ''),
            'not_found_in_trash' => __('No বিবিধ সনদপত্র  item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'myservice', 'with_front' => false),
    );

    register_post_type( 'myservice' , $args );
    
    
    
     $args = array(
        'labels' => array(
            'name' => __('মৃত্যু সনদ', ''),
            'singular_name' => __('মৃত্যু', ''),
            'add_new' => __('Add New', ''),
            'add_new_item' => __('Add New মৃত্যু Item', ''),
            'edit' => __('Edit', ''),
            'edit_item' => __('Edit মৃত্যু Item', ''),
            'new_item' => __('New মৃত্যু', ''),
            'view' => __('View', ''),
            'view_item' => __('View মৃত্যু', ''),
            'search_items' => __('Search মৃত্যু', ''),
            'not_found' => __('No মৃত্যু item found', ''),
            'not_found_in_trash' => __('No মৃত্যু item found in Trash', ''),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail', "author"),
        'rewrite' => array('slug' => 'deathtc', 'with_front' => false),
    );
     register_post_type( 'deathtc' , $args );
 
}

/// english 
     $args = array(
        'labels' => array(
            'name' => __('English ', 'Astra'),
            'singular_name' => __('English ', 'Astra'),
            'add_new' => __('Add New', 'Astra'),
            'add_new_item' => __('Add New English  Item', 'Astra'),
            'edit' => __('Edit', 'Astra'),
            'edit_item' => __('Edit English  Item', 'Astra'),
            'new_item' => __('New English ', 'Astra'),
            'view' => __('View', 'Astra'),
            'view_item' => __('View English ', 'Astra'),
            'search_items' => __('Search English ', 'Astra'),
            'not_found' => __('No English  item found', 'Astra'),
            'not_found_in_trash' => __('No English  item found in Trash', 'Astra'),
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'hierarchical' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor', 'thumbnail'),
        'rewrite' => array('slug' => 'englishtc', 'with_front' => false),
    );

    register_post_type( 'englishtc' , $args );

add_action('init', 'create_citizens_post');



// search filter

class mishaDateRange{

    function __construct(){
    
        // if you do not want to remove default "by month filter", remove/comment this line
        add_filter( 'months_dropdown_results', '__return_empty_array' );
        
        // include CSS/JS, in our case jQuery UI datepicker
        add_action( 'admin_enqueue_scripts', array( $this, 'jqueryui' ) );
        
        // HTML of the filter
        add_action( 'restrict_manage_posts', array( $this, 'form' ) );
        
        // the function that filters posts
        add_action( 'pre_get_posts', array( $this, 'filterquery' ) );
        
    }

    /*
     * Add jQuery UI CSS and the datepicker script
     * Everything else should be already included in /wp-admin/ like jquery, jquery-ui-core etc
     * If you use WooCommerce, you can skip this function completely
     */
    function jqueryui(){
        wp_enqueue_style( 'jquery-ui', '//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.min.css' );
        wp_enqueue_script( 'jquery-ui-datepicker' );
    }

    /*
     * Two input fields with CSS/JS
     * If you would like to move CSS and JavaScript to the external file - welcome.
     */
    function form(){
        
        $from = ( isset( $_GET['mishaDateFrom'] ) && $_GET['mishaDateFrom'] ) ? $_GET['mishaDateFrom'] : '';
        $to = ( isset( $_GET['mishaDateTo'] ) && $_GET['mishaDateTo'] ) ? $_GET['mishaDateTo'] : '';
        
        echo '<style>
        input[name="mishaDateFrom"], input[name="mishaDateTo"]{
            line-height: 28px;
            height: 28px;
            margin: 0;
            width:125px;
        }
        </style>
        
        <input type="text" name="mishaDateFrom" placeholder="Date From" value="' . esc_attr( $from ) . '" />
        <input type="text" name="mishaDateTo" placeholder="Date To" value="' . esc_attr( $to ) . '" />
    
        <script>
        jQuery( function($) {
            var from = $(\'input[name="mishaDateFrom"]\'),
                to = $(\'input[name="mishaDateTo"]\');

            $( \'input[name="mishaDateFrom"], input[name="mishaDateTo"]\' ).datepicker( {dateFormat : "yy-mm-dd"} );
            // by default, the dates look like this "April 3, 2017"
                // I decided to make it 2017-04-03 with this parameter datepicker({dateFormat : "yy-mm-dd"});
    
    
                // the rest part of the script prevents from choosing incorrect date interval
                from.on( \'change\', function() {
                to.datepicker( \'option\', \'minDate\', from.val() );
            });
                
            to.on( \'change\', function() {
                from.datepicker( \'option\', \'maxDate\', to.val() );
            });
            
        });
        </script>';
        
    }
    
    /*
     * The main function that actually filters the posts
     */
    function filterquery( $admin_query ){
        global $pagenow;
        
        if (
            is_admin()
            && $admin_query->is_main_query()
            // by default filter will be added to all post types, you can operate with $_GET['post_type'] to restrict it for some types
            && in_array( $pagenow, array( 'edit.php', 'upload.php' ) )
            && ( ! empty( $_GET['mishaDateFrom'] ) || ! empty( $_GET['mishaDateTo'] ) )
        ) {

            $admin_query->set(
                'date_query', // I love date_query appeared in WordPress 3.7!
                array(
                    'after' => sanitize_text_field( $_GET['mishaDateFrom'] ), // any strtotime()-acceptable format!
                    'before' => sanitize_text_field( $_GET['mishaDateTo'] ),
                    'inclusive' => true, // include the selected days as well
                    'column'    => 'post_date' // 'post_modified', 'post_date_gmt', 'post_modified_gmt'
                )
            );
            
        }
        
        return $admin_query;
    
    }

}
new mishaDateRange();


// renew functions


// Add the duplicate link to action list for post_row_actions
// for "post" and custom post types
add_filter( 'post_row_actions', 'rd_duplicate_post_link', 10, 2 );
// for "page" post type
add_filter( 'page_row_actions', 'rd_duplicate_post_link', 10, 2 );


function rd_duplicate_post_link( $actions, $post ) {

    if( ! current_user_can( 'edit_posts' ) ) {
        return $actions;
    }

    $url = wp_nonce_url(
        add_query_arg(
            array(
                'action' => 'rd_duplicate_post_as_draft',
                'post' => $post->ID,
            ),
            'admin.php'
        ),
        basename(__FILE__),
        'duplicate_nonce'
    );

    $actions[ 'duplicate' ] = '<a href="' . $url . '" title="Renew this item" rel="permalink">Renew</a>';

    return $actions;
}

/*
 * Function creates post duplicate as a draft and redirects then to the edit post screen
 */
add_action( 'admin_action_rd_duplicate_post_as_draft', 'rd_duplicate_post_as_draft' );

function rd_duplicate_post_as_draft(){

    // check if post ID has been provided and action
    if ( empty( $_GET[ 'post' ] ) ) {
        wp_die( 'No post to duplicate has been provided!' );
    }

    // Nonce verification
    if ( ! isset( $_GET[ 'duplicate_nonce' ] ) || ! wp_verify_nonce( $_GET[ 'duplicate_nonce' ], basename( __FILE__ ) ) ) {
        return;
    }

    // Get the original post id
    $post_id = absint( $_GET[ 'post' ] );

    // And all the original post data then
    $post = get_post( $post_id );

    /*
     * if you don't want current user to be the new post author,
     * then change next couple of lines to this: $new_post_author = $post->post_author;
     */
    $current_user = wp_get_current_user();
    $new_post_author = $current_user->ID;

    // if post data exists (I am sure it is, but just in a case), create the post duplicate
    if ( $post ) {

        // new post data array
        $args = array(
            'comment_status' => $post->comment_status,
            'ping_status'    => $post->ping_status,
            'post_author'    => $new_post_author,
            'post_content'   => $post->post_content,
            'post_excerpt'   => $post->post_excerpt,
            'post_name'      => $post->post_name,
            'post_parent'    => $post->post_parent,
            'post_password'  => $post->post_password,
            'post_status'    => 'draft',
            'post_title'     => $post->post_title,
            'post_type'      => $post->post_type,
            'to_ping'        => $post->to_ping,
            'menu_order'     => $post->menu_order
        );

        // insert the post by wp_insert_post() function
        $new_post_id = wp_insert_post( $args );

        /*
         * get all current post terms ad set them to the new post draft
         */
        $taxonomies = get_object_taxonomies( get_post_type( $post ) ); // returns array of taxonomy names for post type, ex array("category", "post_tag");
        if( $taxonomies ) {
            foreach ( $taxonomies as $taxonomy ) {
                $post_terms = wp_get_object_terms( $post_id, $taxonomy, array( 'fields' => 'slugs' ) );
                wp_set_object_terms( $new_post_id, $post_terms, $taxonomy, false );
            }
        }

        // duplicate all post meta
        $post_meta = get_post_meta( $post_id );
        if( $post_meta ) {

            foreach ( $post_meta as $meta_key => $meta_values ) {

                if( '_wp_old_slug' == $meta_key ) { // do nothing for this meta key
                    continue;
                }

                foreach ( $meta_values as $meta_value ) {
                    add_post_meta( $new_post_id, $meta_key, $meta_value );
                }
            }
        }

        // finally, redirect to the edit post screen for the new draft
        // wp_safe_redirect(
        //  add_query_arg(
        //      array(
        //          'action' => 'edit',
        //          'post' => $new_post_id
        //      ),
        //      admin_url( 'post.php' )
        //  )
        // );
        // exit;
        // or we can redirect to all posts with a message
        wp_safe_redirect(
            add_query_arg(
                array(
                    'post_type' => ( 'post' !== get_post_type( $post ) ? get_post_type( $post ) : false ),
                    'saved' => 'post_duplication_created' // just a custom slug here
                ),
                admin_url( 'edit.php' )
            )
        );
        exit;

    } else {
        wp_die( 'Post creation failed, could not find original post.' );
    }

}

/*
 * In case we decided to add admin notices
 */
add_action( 'admin_notices', 'rudr_duplication_admin_notice' );

function rudr_duplication_admin_notice() {

    // Get the current screen
    $screen = get_current_screen();

    if ( 'edit' !== $screen->base ) {
        return;
    }

    //Checks if settings updated
    if ( isset( $_GET[ 'saved' ] ) && 'post_duplication_created' == $_GET[ 'saved' ] ) {

         echo '<div class="notice notice-success is-dismissible"><p>Post copy created.</p></div>';
         
    }
}






/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'citizens_404_loggedin_func');

    function citizens_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'citizens' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }
    
    /* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'newtreadelicence_404_loggedin_func');

    function newtreadelicence_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'newtreadelicence' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }


/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'treadelicence_404_loggedin_func');

    function treadelicence_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'treadelicence' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }



/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'oreshcertificate_404_loggedin_func');

    function oreshcertificate_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'oreshcertificate' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }



/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'citizenpros_404_loggedin_func');

    function citizenpros_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'citizenpros' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }



/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'samename_404_loggedin_func');

    function samename_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'samename' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }


/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'offlaoction_404_loggedin_func');

    function offlaoction_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'offlaoction' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }


/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'newvoters_404_loggedin_func');

    function newvoters_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'newvoters' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }


/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'vottertransfer_404_loggedin_func');

    function vottertransfer_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'vottertransfer' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }


/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'ctzincomes_404_loggedin_func');

    function ctzincomes_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'ctzincomes' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }


/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'ctzethnicity_404_loggedin_func');

    function ctzethnicity_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'ctzethnicity' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }


/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'tclandless_404_loggedin_func');

    function tclandless_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'tclandless' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }


/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'characterttc_404_loggedin_func');

    function characterttc_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'characterttc' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }


/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'marragetc_404_loggedin_func');

    function marragetc_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'marragetc' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }


/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'parentalpermittc_404_loggedin_func');

    function parentalpermittc_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'parentalpermittc' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }


/* Making custom post type mailer visible for only logged in users */
    add_action('template_redirect', 'deathtc_404_loggedin_func');

    function deathtc_404_loggedin_func() {
        global $post;
        if ($post->post_type == 'deathtc' ) {
            if (!is_user_logged_in()) {
                global $wp_query;
                $wp_query->posts = [];
                $wp_query->post = null;
                $wp_query->set_404();
                status_header(404);
                nocache_headers();
            }
        }
    }

function deathtc_author_archives($query) {

    // Add ‘videos’ post type to author archives
    // Add your own Post types in single quotes before 'post'
    if ( $query->is_author ) {
        $query->set( 'deathtc',array('title', 'editor', 'thumbnail', "author"));
        // Remove the action after it’s run
        remove_action( 'pre_get_posts', 'post_types_author_archives' );
    }
}
add_action( 'pre_get_posts', 'deathtc_author_archives' );

//// author name 

