<?php
/**
 * The template for displaying all pages, single posts and attachments
 *
 * This is a new template file that WordPress introduced in
 * version 4.3.
 *
 * @package OceanWP WordPress theme
 */

get_header(); ?>

	<?php do_action( 'ocean_before_content_wrap' ); ?>

	<div id="content-wrap" class="container clr">

		

				<?php
				// Elementor `single` location.
				if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'single' ) ) ?>

				<?php	// Start loop.
					while ( have_posts() ) :
						the_post(); ?>
            <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="tc-wrapp">
					 <div class="top-section">
				        <div class="elementor-20">
				            <div class="logo">
				                <img src="<?php echo esc_url(get_template_directory_uri()).'/img/government-logo.png' ?>" alt="goverment-logo"/>
				            </div>
				        </div>
				        <div class="elementor-60">
				            <div class="up-name">
				                	<p>  স্থানীয় সরকার বিভাগ</p>
						           <h2><?php $upname = get_post_meta($post->ID, 'up_name', true); echo  $upname; ?></h2>
							        <p>উপজেলাঃ  <?php $upazilla = get_post_meta($post->ID, 'ct_upazilla', true); echo  $upazilla; ?>, জেলাঃ  <?php $dist = get_post_meta($post->ID, 'dist_name', true); echo  $dist; ?> </p>
							        	<p>স্মারক নং:&nbsp;<b class="serial">Sat/up- <?php the_ID(); ?></b></p>
				            </div>
				        </div>
				        <div class="elementor-20">
				            <div class="photo">
				               <?php if (has_post_thumbnail()) { ?>
                                    <?php the_post_thumbnail( 'large', array( 'sizes' => '(max-width:320px) 145px, (max-width:425px) 220px, 500px' ) ); ?>
                                    <?php } else { ?>
                                    <img src="<?php echo esc_url(get_template_directory_uri()).'/img/customer-image.png' ?>" />
                                    <?php } ?>
				            </div>
				        </div>
				    </div><!--------enttop------->

					<div class="tc-name">
						<div class="elementor-30">
							<div class="sharok-left">
							 <p><b>TC No : &nbsp; <?php the_date('Y');?><?php the_ID(); ?></b> </p>
							</div>
						</div>
						<div class="elementor-40">
							<div class="certificate-name">
								<h2> প্রতিষ্ঠানের অবস্থান সংক্রান্ত প্রত্যয়ন পত্র</h2>
							</div>
						</div>
						<div class="elementor-30">
							<div class="date-right">
								<p>তারিখ:&nbsp;<b><?php the_time('d-m-Y'); ?></b></p>
							</div>
						</div>
					</div><!-- #tc-name -->
                      <br>
                      <div class="tc-form">
                      	<div class="elementor-100">
                      		<div class="content">
                      		 <p>এই মর্মে  প্রত্যয়ন করা যাচ্ছে যে, <b><?php the_title(); ?></b>,  ডাকঘরঃ <b><?php $postoffice = get_post_meta($post->ID, 'post_office', true); echo $postoffice; ?></b>, উপজেলাঃ <b><?php $upazilla = get_post_meta($post->ID, 'upazilla_name', true); echo $upazilla;?></b>,  জেলাঃ  <?php $dist = get_post_meta($post->ID, 'dist_name', true); echo  $dist; ?>। এই শিক্ষা প্রতিষ্ঠানটি অত্র ইউনিয়নের  <b> <?php $wordnumber = get_post_meta($post->ID, 'word_number', true); echo $wordnumber; ?></b>  ওয়ার্ডে ,<b> <?php $mohjaname = get_post_meta($post->ID, 'mouja_name', true); echo $mohjaname; ?></b>   মৌজায় ,<b> <?php $esyears = get_post_meta($post->ID, 'establish_year', true); echo $esyears; ?></b> সালে স্থাপিত হয় এবং অদ্যাবধি প্রতিষ্ঠানটি সাফল্যের সাথে শিক্ষা কার্যক্রম পরিচালনা করে আসছেন।</p>
				
				              	<p>আমি অত্র প্রতিষ্ঠানটির সফলতা কামনা করি।</p>
                           </div>
                      	</div>
                      </div> <!-- #tc-form -->
                       

                        <div class="tc-footer">
                       <div class="elementor-40">
                       		<div class="left-sign">
                       			<p><b> সচিব</b></p>
                       		</div>
                       	</div>
                       	<div class="elementor-20">
                       		<div class="tc-qrcode">
                       			<?php echo do_shortcode(' [kaya_qrcode title_align="alignnone" ecclevel="L" align="alignnone"]'); ?>
                       			<p> Print By: <?php $current_user = wp_get_current_user(); echo $current_user->display_name . '<br />'; ?> </p>
                       		</div>
                       	</div>
                       	<div class="elementor-40">
                       		<div class="right-sign">
                       				<p><b> চেয়ারম্যান </b><br><?php $upname = get_post_meta($post->ID, 'up_name', true); echo  $upname; ?>  <br> <?php $upazilla = get_post_meta($post->ID, 'ct_upazilla', true); echo  $upazilla; ?>, <?php $dist = get_post_meta($post->ID, 'dist_name', true); echo  $dist; ?> </p>
                       		</div>
                       </div>
				</div><!-- #tc-footer -->
            </article>
			<?php endwhile;  ?>

 <div class="print">
    <input type = "button" value = "Print" onclick = "window.print()" />
 </div>			


	</div><!-- #content-wrap -->

	<?php do_action( 'ocean_after_content_wrap' ); ?>

<?php get_footer(); ?>